﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7.31
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private BANano As BANano
	Private UOEChart1 As UOEChart
	Private UOEChart2 As UOEChart
	Private UOEChart3 As UOEChart
	Private UOEChart4 As UOEChart
	Private UOEChart5 As UOEChart
	Private UOEChart6 As UOEChart
	Private UOEChart7 As UOEChart
End Sub

Sub Initialize
	BANano.LoadLayout("#body","vCharts")
	
	UOEChart1.Style = $"{ "width": "50%"}"$
	UOEChart1.AddXYMap(CreateMap("2013-02-10":11,"2013-02-11":6,"2013-02-12":3,"2013-02-13":2,"2013-02-14":5,"2013-02-15":3, _
	"2013-02-16":8,"2013-02-17":6,"2013-02-18":6,"2013-02-19":12,"2013-02-20":5,"2013-02-21":5,"2013-02-22":3, _
	"2013-02-23":1,"2013-02-24":10,"2013-02-25":1,"2013-02-26":3,"2013-02-27":2,"2013-02-28":3,"2013-03-01":2,"2013-03-02":8))
	UOEChart1.refresh
	
	'no curve no points
	Dim cc As UOEChart
	cc.Initialize(Me,"cc","cc")
	cc.Width = "60%"
	cc.Height = "400px"
	cc.ChartType = cc.CT_LineChart
	cc.BorderDash = 10
	cc.Curve = False
	cc.Points = False
	cc.AddXYMap(CreateMap("2013-02-10":11,"2013-02-11":6,"2013-02-12":3,"2013-02-13":2,"2013-02-14":5,"2013-02-15":3, _
	"2013-02-16":8,"2013-02-17":6,"2013-02-18":6,"2013-02-19":12,"2013-02-20":5,"2013-02-21":5,"2013-02-22":3, _
	"2013-02-23":1,"2013-02-24":10,"2013-02-25":1,"2013-02-26":3,"2013-02-27":2,"2013-02-28":3,"2013-03-01":2,"2013-03-02":8))
	cc.AddToParent("body")
	 
	
	'donut
	Dim dn As UOEChart
	dn.Initialize(Me,"dn","dn")
	dn.Width = "60%"
	dn.Height = "400px"
	dn.ChartType = UOEChart1.CT_PieChart
	dn.AddXYMap(CreateMap("Blueberry":44, "Strawberry":23,"Banana":22,"Apple":21,"Grape":13))
	dn.Donut = True
	dn.LegendPosition = "right"
	dn.AddToParent("body")
	
	'multiple lines
	Dim ml As UOEChart
	ml.Initialize(Me,"ml","dn")
	ml.Width = "60%"
	ml.Height = "400px"
	ml.ChartType = UOEChart1.CT_AreaChart
	ml.Title = "Multiple Area Chart"
	ml.AddSeries("a","Workout",UOEChart1.color_cyan)
	ml.AddSeries("b","Go to concert",UOEChart1.color_green)
	ml.AddSeries("c","Wash face",UOEChart1.color_indigo)
	ml.AddSeries("d","Call parents",UOEChart1.color_blue)
	ml.AddSeries("e","Eat breakfast",UOEChart1.color_brown)
	ml.AddSeriesXYMap("a", CreateMap("2013-02-10":3,"2013-02-17":3,"2013-02-24":3,"2013-03-03":1,"2013-03-10":4,"2013-03-17":3,"2013-03-24":2,"2013-03-31":3))
	ml.AddSeriesXYMap("b", CreateMap("2013-02-10":0,"2013-02-17":0,"2013-02-24":0,"2013-03-03":0,"2013-03-10":2,"2013-03-17":1,"2013-03-24":0,"2013-03-31":0))
	ml.AddSeriesXYMap("c", CreateMap("2013-02-10":0,"2013-02-17":1,"2013-02-24":0,"2013-03-03":0,"2013-03-10":0,"2013-03-17":1,"2013-03-24":0,"2013-03-31":1))
	ml.AddSeriesXYMap("d", CreateMap("2013-02-10":5,"2013-02-17":3,"2013-02-24":2,"2013-03-03":0,"2013-03-10":0,"2013-03-17":1,"2013-03-24":1,"2013-03-31":0))
	ml.AddSeriesXYMap("e", CreateMap("2013-02-10":3,"2013-02-17":2,"2013-02-24":1,"2013-03-03":0,"2013-03-10":2,"2013-03-17":2,"2013-03-24":3,"2013-03-31":0))
	ml.LegendPosition = UOEChart1.LP_bottom
	ml.AddToParent("body")
	
	'bar chart
	UOEChart2.AddXYMap(CreateMap("Work": 32, "Play": 1492)).Refresh
	
	'pie
	UOEChart3.BorderWidth = 10
	UOEChart3.AddXYMap(CreateMap("Blueberry":44,"Strawberry":23,"Banana":22,"Apple":21,"Grape":13)).Refresh
	
	'bubble
	UOEChart1.XNumeric = True
	UOEChart4.AddBubble(174.0, 80.0, 1).AddBubble(176.5, 82.3, 2).AddBubble(180.3, 73.6, 3).AddBubble(167.6, 74.1, 6).AddBubble(188.0, 85.9, 2).refresh
	
	'column
	UOEChart5.AddXYMap(CreateMap("Sun": 32, "Mon": 46, "Tue": 28)).refresh
	
	'area
	UOEChart6.XNumeric = True
	UOEChart6.AddXYMap(CreateMap("2017-01-01": 11, "2017-01-02": 6)).refresh
	
	'scatter
	UOEChart7.XNumeric = True
	UOEChart7.AddXYMap(CreateMap("174.0": 80.0, "176.5": 82.3, "180.3": 73.6)).refresh
	
	'add a chart via code
	Dim ac As UOEChart
	ac.Initialize(Me,"ac","ac")
	ac.ChartType = ac.CT_AreaChart
	ac.Width = "100%"
	ac.XTitle = "Months"
	ac.YTitle = "Budget"
	ac.Title = "Area Chart of Budget"
	ac.AddXYMap(CreateMap("2013-02-10":11,"2013-02-11":6,"2013-02-12":3,"2013-02-13":2, _
	"2013-02-14":5,"2013-02-15":3,"2013-02-16":8,"2013-02-17":6,"2013-02-18":6,"2013-02-19":12, _
	"2013-02-20":5,"2013-02-21":5,"2013-02-22":3,"2013-02-23":1,"2013-02-24":10,"2013-02-25":1, _
	"2013-02-26":3,"2013-02-27":2,"2013-02-28":3,"2013-03-01":2,"2013-03-02":8))
	ac.AddToParent("body")
	
	Dim pc As UOEChart
	pc.Initialize(Me,"pc","pc")
	pc.Width = "50%"
	pc.AddXYColor("Red",10,pc.color_red)
	pc.AddXYColor("Amber",20,pc.color_orange)
	pc.AddXYColor("Green",30,pc.color_green)
	pc.ChartType = pc.CT_PieChart
	pc.LineLabel = "Boom"
	pc.AddToParent("body")
	
	
	'stacked
	Dim st As UOEChart
	st.Initialize(Me,"pc","pc")
	st.Width = "60%"
	st.ChartType = UOEChart1.CT_ColumnChart
	st.Title = "Stacked Column Chart"
	st.AddSeries("a","Series A",UOEChart1.color_cyan)
	st.AddSeries("b","Series B",UOEChart1.color_green)
	st.AddSeriesXYMap("a", CreateMap("0":32,"1":46,"2":28,"3":21,"4":20,"5":13,"6":27))
	st.AddSeriesXYMap("b", CreateMap("0":32,"1":46,"2":28,"3":21,"4":20,"5":13,"6":27))
	st.Stacked = True
	st.Style = $"{ "width": "50%"}"$
	st.LegendPosition = UOEChart1.LP_right
	st.AddToParent("body")
	
	Dim lbl As UOEChart
	lbl.Initialize(Me,"lbl","lbl")
	lbl.Width = "60%"
	lbl.ChartType = lbl.CT_ColumnChart
	lbl.Title = "Column Labels"
	lbl.AddSeries("a","Ratings",lbl.color_blue)
	lbl.AddSeries("b","Average",lbl.color_green)
	lbl.AddSeriesXYMap("a", CreateMap("Close Shave, A (1995)":112, _
	"Schindler's List (1993)":298, _
	"Wrong Trousers, The (1993)":118, _
	"Casablanca (1942)":243, _
	"Shawshank Redemption, The (1994)":283, _
	"Wallace \u0026 Gromit: The Best of Aardman Animation (1996)":67, _
	"Usual Suspects, The (1995)":267, _
	"Rear Window (1954)":209, _
	"Star Wars (1977)":583, _
	"12 Angry Men (1957)":125, _
	"Third Man, The (1949)":72, _
	"Some Folks Call It a Sling Blade (1993)":41, _
	"One Flew Over the Cuckoo's Nest (1975)":264, _
	"To Kill a Mockingbird (1962)":219, _
	"Citizen Kane (1941)":198, _
	"Silence of the Lambs, The (1991)":390, _
	"North by Northwest (1959)":179, _
	"Godfather, The (1972)":413, _
	"Secrets \u0026 Lies (1996)":162, _
	"Manchurian Candidate, The (1962)":131))
	lbl.AddSeriesXYMap("b", CreateMap("Close Shave, A (1995)":"4.49", _
	"Schindler's List (1993)":"4.47", _
	"Wrong Trousers, The (1993)":"4.47", _
	"Casablanca (1942)":"4.46", _
	"Shawshank Redemption, The (1994)":"4.45", _
	"Wallace \u0026 Gromit: The Best of Aardman Animation (1996)":"4.45", _
	"Usual Suspects, The (1995)":"4.39", _
	"Rear Window (1954)":"4.39", _
	"Star Wars (1977)":"4.36", _
	"12 Angry Men (1957)":"4.34", _
	"Third Man, The (1949)":"4.33", _
	"Some Folks Call It a Sling Blade (1993)":"4.29", _
	"One Flew Over the Cuckoo's Nest (1975)":"4.29", _
	"To Kill a Mockingbird (1962)":"4.29", _
	"Citizen Kane (1941)":"4.29", _
	"Silence of the Lambs, The (1991)":"4.29", _
	"North by Northwest (1959)":"4.28", _
	"Godfather, The (1972)":"4.28", _
	"Secrets \u0026 Lies (1996)":"4.27", _
	"Manchurian Candidate, The (1962)":"4.26"))
	lbl.LegendPosition = lbl.LP_right
	lbl.AddToParent("body")
	
	Dim dd As UOEChart
	dd.Initialize(Me,"dd","dd")
	dd.Width = "60%"
	dd.ChartType = dd.CT_LineChart
	dd.Title = "Discrete Line Chart"
	dd.AddXYMap(CreateMap("United States":44,"Germany":23,"Brazil":22,"Canada":21,"France":13))
	dd.Discrete = True
	dd.AddToParent("body")
	
	'minutes
	Dim mind As UOEChart
	mind.Initialize(Me,"mind","mind") 	
	mind.ChartType = mind.CT_LineChart
	mind.Title = "Minutes Data"
	mind.Width = "60%"
	mind.AddXYMap(CreateMap("2016-05-23T01:51:00.000Z":0, _
	"2016-05-23T01:52:00.000Z":0, _
	"2016-05-23T01:53:00.000Z":0, _
	"2016-05-23T01:54:00.000Z":0, _
	"2016-05-23T01:55:00.000Z":0, _
	"2016-05-23T01:56:00.000Z":0, _
	"2016-05-23T01:57:00.000Z":0, _
	"2016-05-23T01:58:00.000Z":0, _
	"2016-05-23T01:59:00.000Z":0, _
	"2016-05-23T02:00:00.000Z":0, _
	"2016-05-23T02:01:00.000Z":0, _
	"2016-05-23T02:02:00.000Z":0, _
	"2016-05-23T02:03:00.000Z":0, _
	"2016-05-23T02:04:00.000Z":0, _
	"2016-05-23T02:05:00.000Z":0, _
	"2016-05-23T02:06:00.000Z":0, _
	"2016-05-23T02:07:00.000Z":0, _
	"2016-05-23T02:08:00.000Z":0, _
	"2016-05-23T02:09:00.000Z":0, _
	"2016-05-23T02:10:00.000Z":0, _
	"2016-05-23T02:11:00.000Z":0, _
	"2016-05-23T02:12:00.000Z":0, _
	"2016-05-23T02:13:00.000Z":0, _
	"2016-05-23T02:14:00.000Z":0, _
	"2016-05-23T02:15:00.000Z":0, _
	"2016-05-23T02:16:00.000Z":0, _
	"2016-05-23T02:17:00.000Z":0, _
	"2016-05-23T02:18:00.000Z":0, _
	"2016-05-23T02:19:00.000Z":0, _
	"2016-05-23T02:20:00.000Z":0, _
	"2016-05-23T02:21:00.000Z":0, _
	"2016-05-23T02:22:00.000Z":0, _
	"2016-05-23T02:23:00.000Z":0, _
	"2016-05-23T02:24:00.000Z":0, _
	"2016-05-23T02:25:00.000Z":0, _
	"2016-05-23T02:26:00.000Z":0, _
	"2016-05-23T02:27:00.000Z":0, _
	"2016-05-23T02:28:00.000Z":0, _
	"2016-05-23T02:29:00.000Z":0, _
	"2016-05-23T02:30:00.000Z":0, _
	"2016-05-23T02:31:00.000Z":0, _
	"2016-05-23T02:32:00.000Z":0, _
	"2016-05-23T02:33:00.000Z":0, _
	"2016-05-23T02:34:00.000Z":0, _
	"2016-05-23T02:35:00.000Z":0,"2016-05-23T02:36:00.000Z":0,"2016-05-23T02:37:00.000Z":0, _
	"2016-05-23T02:38:00.000Z":0,"2016-05-23T02:39:00.000Z":0,"2016-05-23T02:40:00.000Z":0, _
	"2016-05-23T02:41:00.000Z":0,"2016-05-23T02:42:00.000Z":0,"2016-05-23T02:43:00.000Z":0, _
	"2016-05-23T02:44:00.000Z":0,"2016-05-23T02:45:00.000Z":24,"2016-05-23T02:46:00.000Z":0, _
	"2016-05-23T02:47:00.000Z":0,"2016-05-23T02:48:00.000Z":0,"2016-05-23T02:49:00.000Z":0, "2016-05-23T02:50:00.000Z":8))
	mind.AddToParent("body")
End Sub
